Linux::FD(3pm)

NAME
Linux::FD - Linux specific special filehandles

VERSION
version 0.017

DESCRIPTION
Linux::FD provides you Linux specific special file handles. These are

•   Event filehandles

•   Signal filehandles

•   Timer filehandles

These allow you to use conventional polling mechanisms to wait for a large variety of events.

FUNCTIONS

  eventfd($initial_value, @flags)
This creates an eventfd handle. See Linux::FD::Event for more information on it.

  signalfd($sigset)
This creates an signalfd handle. See Linux::FD::Signal for more information on it.

  timerfd($clock_id)
This creates an timerfd handle. See Linux::FD::Timer for more information on it.

AUTHOR
Leon Timmermans <leont@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.